import Vue from 'vue'
import Router from 'vue-router'

import routerBefore from '@/config/routerBefore.js'

// 主要
import main from '@/components/main.vue'
// 系统配置管理
import addBreach from '../components/addBreach.vue'
import addOtherPrice from '../components/addOtherPrice.vue'
import addShipPrice from '../components/addShipPrice.vue'
import addTrainPrice from '../components/addTrainPrice.vue'
import addTruckPrice from '../components/addTruckPrice.vue'
import breach from '../components/breach.vue'
import otherPrice from '../components/otherPrice.vue'
import purchaseOrder from '../components/purchaseOrder.vue'
import shipPrice from '../components/shipPrice.vue'
import trainPrice from '../components/trainPrice.vue'
import truckPrice from '../components/truckPrice.vue'
import updateBreach from '../components/updateBreach.vue'
import updateOtherPrice from '../components/updateOtherPrice.vue'
import updateShipPrice from '../components/updateShipPrice.vue'
import updateTrainPrice from '../components/updateTrainPrice.vue'
import updateTruckPrice from '../components/updateTruckPrice.vue'
Vue.use(Router)

const constantRouterMap = [
  {
    path: '/',
    name: 'main',
    meta: {title: '首页', code: 'xtpzgl'},
    component: main,
    redirect: {name: 'addBreach'},
    children: [
      {path: 'addBreach', name: 'addBreach', meta: {code: 'xtpzgl-jggl'}, component: addBreach},
      {path: 'addOtherPrice', name: 'addOtherPrice', meta: {code: 'xtpzgl-yhgl'}, component: addOtherPrice},
      {path: 'addShipPrice', name: 'addShipPrice', meta: {code: 'xtpzgl-yhgl'}, component: addShipPrice},
      {path: 'addTrainPrice', name: 'addTrainPrice', meta: {code: 'xtpzgl-yhgl'}, component: addTrainPrice},
      {path: 'addTruckPrice', name: 'addTruckPrice', meta: {code: 'xtpzgl-yhgl'}, component: addTruckPrice},
      {path: 'breach', name: 'breach', meta: {code: 'xtpzgl-yhgl'}, component: breach},
      {path: 'otherPrice', name: 'otherPrice', meta: {code: 'xtpzgl-yhgl'}, component: otherPrice},
      {path: 'purchaseOrder', name: 'purchaseOrder', meta: {code: 'xtpzgl-yhgl'}, component: purchaseOrder},
      {path: 'shipPrice', name: 'shipPrice', meta: {code: 'xtpzgl-yhgl'}, component: shipPrice},
      {path: 'trainPrice', name: 'trainPrice', meta: {code: 'xtpzgl-yhgl'}, component: trainPrice},
      {path: 'truckPrice', name: 'truckPrice', meta: {code: 'xtpzgl-yhgl'}, component: truckPrice},
      {path: 'updateBreach', name: 'updateBreach', meta: {code: 'xtpzgl-yhgl'}, component: updateBreach},
      {path: 'updateOtherPrice', name: 'updateOtherPrice', meta: {code: 'xtpzgl-yhgl'}, component: updateOtherPrice},
      {path: 'updateShipPrice', name: 'updateShipPrice', meta: {code: 'xtpzgl-yhgl'}, component: updateShipPrice},
      {path: 'updateTrainPrice', name: 'updateTrainPrice', meta: {code: 'xtpzgl-yhgl'}, component: updateTrainPrice},
      {path: 'updateTruckPrice', name: 'updateTruckPrice', meta: {code: 'xtpzgl-yhgl'}, component: updateTruckPrice},
    ]
  }
];

const router = new Router({
  routes: constantRouterMap
})
//  before
routerBefore(router, constantRouterMap);

export default router;
//  constantRouterMap
export const routes = constantRouterMap;
