import Vue from 'vue'
import Router from 'vue-router'

import routerBefore from '@/config/routerBefore.js'

// 主要
import main from '@/components/main.vue'
// 系统配置管理
import addSaleOrder from '../components/addSaleOrder.vue'
import addSalePlan from '../components/addSalePlan.vue'
import addSalePlanDetail from '../components/addSalePlanDetail.vue'
import addTransportPrice from '../components/addTransportPrice.vue'
import addTruckNoDetail from '../components/addTruckNoDetail.vue'
import editaddress from '../components/editaddress.vue'
import editSaleOrder from '../components/editSaleOrder.vue'
import editSaleOrderDetail from '../components/editSaleOrderDetail.vue'
import editSalePalnDetail from '../components/editSalePalnDetail.vue'
import editSalePlan from '../components/editSalePlan.vue'
import editTransportPrice from '../components/editTransportPrice.vue'
import editTruckNoDetail from '../components/editTruckNoDetail.vue'
import saleOrder from '../components/saleOrder.vue'
import saleOrderDetail from '../components/saleOrderDetail.vue'
import saleOrderDetailApproved from '../components/saleOrderDetailApproved.vue'
import saleOrderUpdateLog from '../components/saleOrderUpdateLog.vue'
import salePlan from '../components/salePlan.vue'
import transportPrice from '../components/transportPrice.vue'
Vue.use(Router)

const constantRouterMap = [
  {
    path: '/',
    name: 'main',
    meta: {title: '首页', code: 'xtpzgl'},
    component: main,
    redirect: {name: 'addSaleOrder'},
    children: [
      {path: 'addSaleOrder', name: 'addSaleOrder', meta: {code: 'xtpzgl-jggl'}, component: addSaleOrder},
      {path: 'addSalePlan', name: 'addSalePlan', meta: {code: 'xtpzgl-yhgl'}, component: addSalePlan},
      {path: 'addSalePlanDetail', name: 'addSalePlanDetail', meta: {code: 'xtpzgl-yhgl'}, component: addSalePlanDetail},
      {path: 'addTransportPrice', name: 'addTransportPrice', meta: {code: 'xtpzgl-yhgl'}, component: addTransportPrice},
      {path: 'addTruckNoDetail', name: 'addTruckNoDetail', meta: {code: 'xtpzgl-yhgl'}, component: addTruckNoDetail},
      {path: 'editaddress', name: 'editaddress', meta: {code: 'xtpzgl-yhgl'}, component: editaddress},
      {path: 'editSaleOrder', name: 'editSaleOrder', meta: {code: 'xtpzgl-yhgl'}, component: editSaleOrder},
      {path: 'editSaleOrderDetail', name: 'editSaleOrderDetail', meta: {code: 'xtpzgl-yhgl'}, component: editSaleOrderDetail},
      {path: 'editSalePalnDetail', name: 'editSalePalnDetail', meta: {code: 'xtpzgl-yhgl'}, component: editSalePalnDetail},
      {path: 'editSalePlan', name: 'editSalePlan', meta: {code: 'xtpzgl-yhgl'}, component: editSalePlan},
      {path: 'editTransportPrice', name: 'editTransportPrice', meta: {code: 'xtpzgl-yhgl'}, component: editTransportPrice},
      {path: 'editTruckNoDetail', name: 'editTruckNoDetail', meta: {code: 'xtpzgl-yhgl'}, component: editTruckNoDetail},
      {path: 'saleOrder', name: 'saleOrder', meta: {code: 'xtpzgl-yhgl'}, component: saleOrder},
      {path: 'saleOrderDetail', name: 'saleOrderDetail', meta: {code: 'xtpzgl-yhgl'}, component: saleOrderDetail},
      {path: 'saleOrderDetailApproved', name: 'saleOrderDetailApproved', meta: {code: 'xtpzgl-yhgl'}, component: saleOrderDetailApproved},
      {path: 'saleOrderUpdateLog', name: 'saleOrderUpdateLog', meta: {code: 'xtpzgl-yhgl'}, component: saleOrderUpdateLog},
      {path: 'salePlan', name: 'salePlan', meta: {code: 'xtpzgl-yhgl'}, component: salePlan},
      {path: 'transportPrice', name: 'transportPrice', meta: {code: 'xtpzgl-yhgl'}, component: transportPrice},
    ]
  }
];

const router = new Router({
  routes: constantRouterMap
})
//  before
routerBefore(router, constantRouterMap);

export default router;
//  constantRouterMap
export const routes = constantRouterMap;
