import Vue from 'vue'
import Router from 'vue-router'

import routerBefore from '@/config/routerBefore.js'

// 主要
import main from '@/components/main.vue'
// 系统配置管理
import addCargoResult from '../components/addCargoResult.vue'
import addDeliveryAttorney from '../components/addDeliveryAttorney.vue'
import addDeliveryNotice from '../components/addDeliveryNotice.vue'
import cargoResult from '../components/cargoResult.vue'
import deliveryAttorney from '../components/deliveryAttorney.vue'
import deliveryNotice from '../components/deliveryNotice.vue'
import modifyCargoResult from '../components/modifyCargoResult.vue'
import modifyDeliveryAttroney from '../components/modifyDeliveryAttroney.vue'
import modifyDeliveryNotice from '../components/modifyDeliveryNotice.vue'
Vue.use(Router)

const constantRouterMap = [
  {
    path: '/',
    name: 'main',
    meta: {title: '首页', code: 'xtpzgl'},
    component: main,
    redirect: {name: 'addCargoResult'},
    children: [
      {path: 'addCargoResult', name: 'addCargoResult', meta: {code: 'xtpzgl-jggl'}, component: addCargoResult},
      {path: 'addDeliveryAttorney', name: 'addDeliveryAttorney', meta: {code: 'xtpzgl-yhgl'}, component: addDeliveryAttorney},
      {path: 'addDeliveryNotice', name: 'addDeliveryNotice', meta: {code: 'xtpzgl-yhgl'}, component: addDeliveryNotice},
      {path: 'cargoResult', name: 'cargoResult', meta: {code: 'xtpzgl-yhgl'}, component: cargoResult},
      {path: 'deliveryAttorney', name: 'deliveryAttorney', meta: {code: 'xtpzgl-yhgl'}, component: deliveryAttorney},
      {path: 'deliveryNotice', name: 'deliveryNotice', meta: {code: 'xtpzgl-yhgl'}, component: deliveryNotice},
      {path: 'modifyCargoResult', name: 'modifyCargoResult', meta: {code: 'xtpzgl-yhgl'}, component: modifyCargoResult},
      {path: 'modifyDeliveryAttroney', name: 'modifyDeliveryAttroney', meta: {code: 'xtpzgl-yhgl'}, component: modifyDeliveryAttroney},
      {path: 'modifyDeliveryNotice', name: 'modifyDeliveryNotice', meta: {code: 'xtpzgl-yhgl'}, component: modifyDeliveryNotice},
    ]
  }
];

const router = new Router({
  routes: constantRouterMap
})
//  before
routerBefore(router, constantRouterMap);

export default router;
//  constantRouterMap
export const routes = constantRouterMap;
